---
hide:
  - navigation
  - toc
  - actions
template: home.html
---
# Pyoframe: Formulate huge optimization models 

Tired of slow or archaic modelling frameworks like Pyomo and GAMS? 
Here are some reasons we think you'd like Pyoframe:

- Python library for building **LP and MILP models**
- **Open-source** MIT License
- **Works with Pandas** dataframes
- **Powered by Rust** and Polars

---

<div class="grid cards" markdown>

-   :material-clock-fast:{ .lg .middle } __Learn__

    ---

    Install `pyoframe` and learn the library's basics.

    [:octicons-arrow-right-24: Get started](./learn/01_getting-started/01_installation.md)

<!-- -   :fontawesome-brands-markdown:{ .lg .middle } __Why Pyoframe?__

    ---

    Compare our speed and memory-usage to other libraries and prepare to be amazed.

    [:octicons-arrow-right-24: Benchmarks](#)

-   :material-scale-balance:{ .lg .middle } __Deep dive__

    ---
    Understand our unique approach to building models with Polars dataframes. 
    
    [:octicons-arrow-right-24: Deep dive](#) -->

-   :material-format-font:{ .lg .middle } __API Reference__

    ---

    Your go-to reference for understanding our API.

    [:octicons-arrow-right-24: Reference](./reference/)

</div>
